package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

import java.util.List;

/**
 * 光纤交换机zone
 *
 * @author luyanchao
 * @since 2019/6/5 14:28
 */
@Table("san_fabric_zone")
public class SanFabricZone extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("fabric_id")
    private Long fabricId; // 所属光纤交换机id
    @Column("type")
    private String type; // 所属光纤交换机type
    @IgnoreAll
    private List<SanFabricZoneMember> members; // members
    @IgnoreAll
    private String fabricName;// fabric name

    public SanFabricZone() {
        super();
    }

    public SanFabricZone(Long fabricId, String name, List<SanFabricZoneMember> members) {
        this.fabricId = fabricId;
        this.setName(name);
        this.members = members;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getFabricId() {
        return fabricId;
    }

    public void setFabricId(Long fabricsId) {
        this.fabricId = fabricsId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<SanFabricZoneMember> getMembers() {
        return members;
    }

    public void setMembers(List<SanFabricZoneMember> members) {
        this.members = members;
    }

    public String getFabricName() {
        return fabricName;
    }

    public void setFabricName(String fabricName) {
        this.fabricName = fabricName;
    }
}
